%global cpan_version 1.59

Summary:        Perl extension for sharing data structures between threads
Name:           perl-threads-shared
Version:        1.64
Release:        5%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/threads-shared
Source0:        https://cpan.metacpan.org/authors/id/J/JD/JDHEDDEN/threads-shared-%{cpan_version}.tar.gz

Patch0001:      0001-threads-shared-1.59-upgrade-to-1.64.patch

BuildRequires:  findutils gcc make perl-generators perl-interpreter
BuildRequires:  perl-devel perl(Config) perl(File::Spec) perl(strict) perl(warnings)
BuildRequires:  perl(Carp) perl(Scalar::Util) perl(XSLoader) perl(ExtUtils::testlib)
BuildRequires:  perl(File::Path) perl(POSIX) perl(Time::HiRes) perl(Test::More)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(threads) >= 1.73
Requires:       perl(Carp) perl(XSLoader)
Requires:       perl(threads) >= 1.73

%description
By default, variables are private to each thread, and each newly created
thread gets a private copy of each existing variable. This module allows
you to share variables across different threads (and pseudo-forks on
Win32). It is used together with the threads module.

%prep
%autosetup -n threads-shared-%{cpan_version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="$RPM_OPT_FLAGS"
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes examples README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/threads*
%{_mandir}/man3/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.64-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.64-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.64-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.64-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Aug 11 2022 Xiaojie Chen <jackxjchen@tencent.com> - 1.64-1
- Initial build
